# borg completion

    borg [common options] completion [options] SHELL

positional arguments
| `SHELL` | shell to generate completion for (one of: %(choices)s)
Common options

## Description

This command prints a shell completion script for the given shell.

Please note that for some dynamic completions (like archive IDs), the shell completion script will call borg to query the repository. This will work best if that call can be made without prompting for user input, so you may want to set BORG_REPO and BORG_PASSPHRASE environment variables.

## Examples

To activate completion in your current shell session, evaluate the output of this command. To enable it persistently, add the corresponding line to your shell’s startup file.

    # Bash (in ~/.bashrc)
    eval "$(borg completion bash)"

    # Zsh (in ~/.zshrc)
    eval "$(borg completion zsh)"